/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tools;

import java.io.ByteArrayOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;
import javax.swing.JTextArea;

/**
 *
 * @author Hector
 */
public class VirtualConsole {

    public VirtualConsole(JTextArea ta) {
        textConsole = ta;
        aPrintStream= new PrintStream(new FilteredStream(new ByteArrayOutputStream()));        
        
        System.setOut(aPrintStream); // catches System.out messages
    }
    
    class FilteredStream extends FilterOutputStream {
        public FilteredStream(OutputStream aStream) {
            super(aStream);
          }

        public void write(byte b[]) throws IOException {
            String aString = new String(b);
            textConsole.append(aString);
        }
        
        public void write(byte b[], int off, int len) throws IOException {
            String aString = new String(b , off , len);
            textConsole.append(aString);
        }
    }
    
    private JTextArea textConsole;
    private PrintStream aPrintStream;

}
