/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package data;

import scripting.FNNXToken;

/**
 *
 * @author hsatizab
 */
public class FNNXTreeNode extends MyLinkedList {

    public FNNXTreeNode(Object o, FNNXTreeNode p) {
        super();
        object = o;
        parent = p;
    }

    public Object getObject() {
        return object;
    }

    public FNNXTreeNode getParent() {
        return parent;
    }

//    public String toString() {
//        show();
//        return "...";
//    }

    public void show() {
        String prev;
        FNNXTreeNode p;

//main
//|-- node
//|   |-- node
//|   |-- node
//|   |   |-- node
//|   |-- node
//|-- node
//    |-- node
//    |-- node

        prev = "";
        if (parent != null) {
            if (parent.parent != null) {
                p = parent;
                while (p.parent != null) {
                    p = p.parent;
                    if (p.current == p.last) {
                        prev = "\t" + prev;
                    }
                    else {
                        prev = "|\t" + prev;
                    }
                }
            }
            prev += "|-- ";
        }
        System.out.println(prev + ((FNNXToken)object).getText());

        head();
        while (hasNode()) {
            ((FNNXTreeNode)getCurrent()).show();
            next();
        }
    }

    public void append(Object o) {
        FNNXTreeNode newNode = new FNNXTreeNode(o, this);

        super.append(newNode);
    }

    public void appendNode(FNNXTreeNode newNode) {
        super.append(newNode);
        newNode.parent = this;
    }

    public void insert(Object o) {
        FNNXTreeNode newNode = new FNNXTreeNode(o, this);

        super.insert(newNode);
    }

    public void insertNode(FNNXTreeNode newNode) {
        super.insert(newNode);
        newNode.parent = this;
    }

    public String toString() {
        return object.toString();
    }

    private Object object;
    private FNNXTreeNode parent;
}
