/*
 * Node.java
 *
 * Created on 18. juin 2006, 18:58
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package data;

import java.io.Serializable;


/**
 *
 * @author Hector
 */
public class Node implements Serializable {
    
    /**
     * Creates a new instance of Node.
     *
     * @param   p   previous node in the list.
     * @param   n   next node in the list.
     * @param   d   the node data. It could be any {@link Object}.
     * @see MyLinkedList
     */
    public Node(Node p, Node n, Object d) {
        next = n;
        previous = p;
        data = d;
    }

    protected Node next;
    protected Node previous;
    protected Object data;
    protected String name;
}
