/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package model;

import java.util.Random;
import plugin.AbstractFNNXObject;

/**
 *
 * @author hsatizab
 */
public abstract class AbstractFNNXModel extends AbstractFNNXObject implements FNNXModel {
    
    public void initDatasetSequential() {
        obsCounter = 0;
        reset();
    }

    public void nextExampleSequential() {
        obsCounter++;
    }

    public void addToError(float e) {
        error = e;
        accError += e;
    }

    public void resetAccError() {
        accError = 0;
    }

    public float getError() {
        return error;
    }

    public float getAccError() {
        return accError;
    }

    public int getObsCounter() {
        return obsCounter;
    }

    protected int obsCounter;
    protected Random gen;
    protected float error;
    protected float accError;

}
