/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package model;

import data.DataMatrix;
import java.io.Serializable;

/**
 *
 * @author hsatizab
 */
public interface FNNXSupervisedModel extends FNNXUnsupervisedModel, Serializable, Cloneable {

    public DataMatrix getOutputDataset();

    public int getAmountOfOutputs();

    public void setCurrentTarget(float[] output);

    public float[] calcOutput();

    public float[] calcModelErrorByOutput();

    public float[] getCurrentTarget();

}
