/*
 * AbstractOutputFunction.java
 *
 * Created on 20. juin 2006, 21:32
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package model.distributedRepresentation;

import java.io.Serializable;
//import scripting.Names;

/**
 *
 * @author XOR
 */
public abstract class AbstractOutputFunction implements Cloneable, Serializable {
    
    /**
     * Creates a new instance of AbstractOutputFunction
     */
    public AbstractOutputFunction() {
    }

    /**
     * Returns a copy of the object.
     */
    public AbstractOutputFunction clone() {
        try {
            return (AbstractOutputFunction) super.clone();
        }
        catch (CloneNotSupportedException ex) {
            ex.printStackTrace();
            return null;
        }
    }
    
    /**
     * Applies the output function and returns the resulting value.
     *
     * @param   in  input value
     * @return  the resulting value after appplying the output function
     */
    public abstract float apply(float in);
    
}
