/*
 * AbstractCompetitionLayer.java
 *
 * Created on 24 de septiembre de 2007, 14:44
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package model.localRepresentation;

import data.MyLinkedList;

/**
 *
 * @author Hector
 */
public abstract class AbstractFNNXCellLayer extends MyLinkedList {
    
    /**
     * Returns the current unit in the list and moves forward the list window.
     *
     * @return  the current cell in the cell list
     */
    public AbstractFNNXCell getUnitDoNext() {
        return (AbstractFNNXCell) this.getDoNext();
    }

    public void firstUnit() {
        this.head();
    }
    
    public int getAmountOfInputs() {
        return nInputs;
    }

    public abstract AbstractFNNXCell buildCell();
    protected int nInputs;

}
