/*
 * Names.java
 *
 * Created on 20. octobre 2006, 14:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package scripting;

import java.io.Serializable;

/**
 *
 * @author Hector
 */
public abstract class Names implements Serializable, Cloneable {
    
    /**
     * Creates a new instance of Names
     */
    public Names() {
    }
    
    /**
     * Returns a copy of the object.
     */
    public Names clone() {
        try {
            return (Names) super.clone();
        }
        catch (CloneNotSupportedException ex) {
            ex.printStackTrace();
            return null;
        }
    }

    public enum activationFunction { TANH, SIGM, LINEAR, EXP };
    
    public enum outputFunction { LINEAR, CLIP_01, CLIP_11 };
    
    public enum relevanceMethod { GARSON, OVERALL_CONNECTIONS, ANNIGMA, INPUT_PERTURBATION_NOISE, INPUT_PERTURBATION_FIX, INPUT_CANCELLATION, SENSITIVITY, OTHER };
    
    public enum plotModes { none, YvsT_multi, YvsT_single, bars };
    
    public enum interThreadCommands { doNothing, init, setMaxIterations, openFile, closeFile, setPlotterMode, clearPlot, newData, lastData, writeMessage };
    
    public enum testType { noTest, getOutput, quantization };
    
    public enum command { begin, onlineBackpropagation, splitDataset, sampleDataset, performance, relevance, profile, getOutput, loop, growingNeuralGas, quantizer, loadASCIIFile, extractDataBlock,  newVar, fromPlugin };
    
    public enum configuration { singleCommand, begin, configuration };

    public enum constructionMethod { addAtTheEnd, insertBefore };
    
    public enum readFileCommand { data, unknownCommand, comment, newBlock, badFormat }
    
    public enum actions { create, call };

    public enum tokens { main, name, number, assign, space, newLine, sep, decimal, quot, length, show, concat, bool,
                        Mi, Ma, WhMi, WhMa, min, max, whereMin, whereMax,
                        ArOp, add, sub, neg, mult, div, mod, exp, inc, dec,
                        LoOp, and, or, not, xor, diff, eq, less, more, lessEq, moreEq,
                        openP, closeP, openB, closeB, openA, closeA,
                        create, call, load, cond, condElse, whileLoop, unknown, error,
                        Bl, ObNa, CrOb, CrObBl, CrObLoBl, LoBl, As, CaFu, CaFuBl, CaFuLoBl, So, Ne, Ex, LoEx, LoEx3, LoEx2Pre, Ex2Post, Ex2Pre, Ex3, El, Ve, Ve1, In, GlBl, Co, WhLo, Le, Sh, IfBl, ToSh, Cat,
                        };

    public enum tokenFreq { single, some, any, anyUnordered };

    public enum fileFormats { FENNIX_005, FENNIX_008 };

}
