/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tools;

import java.net.URL;
import java.net.URLClassLoader;
import java.util.Hashtable;

/**
 *
 * @author hsatizab
 */
public class MyURLClassLoader extends URLClassLoader {

    public MyURLClassLoader(Hashtable<String, Class> p, URL[] url) {
        super(url);
        plugins = p;
    }

    public Class<?> loadClass(String name) throws ClassNotFoundException, NoClassDefFoundError {
        Class temp;
        
        temp = plugins.get(name);
        
        if (temp == null) {
//            System.out.println(name + "... failed");
            return super.loadClass(name, true);
        }
        if (!(temp instanceof Class)) {
            return super.loadClass(name, true);
        }

//        System.out.println(name + "... OK");
        return temp;
    }

    private Hashtable<String, Class> plugins;
}
