/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package layerGNGMap;

import cellGNGMap.GNGMapCell;
import networkGNG.AbstractFNNXGNGNetwork;

/**
 *
 * @author hsatizab
 */
public class FNNXGNGMapLayerNetwork extends AbstractFNNXGNGNetwork {

    public FNNXGNGMapLayerNetwork(int nI) {
        nInputs = nI;
//        if (nInputs < 1) {
//            monitor.appendErrorMessage("Error. The number of inputs must be larger than 1.");
//        }
//        else {
//            cells = new FNNXGNGMapLayer(nInputs);
//        }
        cells = new FNNXGNGMapLayer(nInputs);
    }

    public void decreaseLinks(int d) {
        cells.firstUnit();
        while (cells.hasNode()) {
            ((GNGMapCell)cells.getUnitDoNext()).decreaseLinks(d);
        }
    }

    public void setCurrentInputNoCopy(float[] input) {
        currentInput = input;
    }

    public void deleteUnusedLinks() {
        cells.head();
        while (cells.hasNode()) {
            ((GNGMapCell)cells.getDoNext()).deleteUnusedLinks();
        }
    }

    public void deleteCurrentCellDoNext() {
        GNGMapCell temp;
        temp = (GNGMapCell)cells.getCurrent();
        temp.firstLink();
        while (temp.hasLink()) {
            temp.getLinkDoNext().setWeight(0);
        }

        super.deleteCurrentCellDoNext();
    }

    public void forget() {
        super.forget();
        deleteUnusedLinks();
    }

}
