/*
 * CompetitionLayer.java
 *
 * Created on 24 de septiembre de 2007, 13:46
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package layerGNGRBF;

import cellGNGRBF.GNGRBFCell;
import data.DataMatrix;
import java.util.Random;
import model.localRepresentation.AbstractFNNXCell;
import layerGNG.AbstractFNNXGNGLayer;

/**
 *
 * @author Hector
 */
public class FNNXGNGRBFLayer extends AbstractFNNXGNGLayer {
    
    /**
     * Creates a new instance of CompetitionLayer.
     *
     * @param   ni  the number of units in the layer
     */
    public FNNXGNGRBFLayer(int ni, int no, Random r) {                          //insertion of two units
        nInputs = ni;
        nOutputs = no;
        rand = r;
    }

    public AbstractFNNXCell buildCell() {
        return new GNGRBFCell(nInputs, nOutputs, rand);
    }

    public void initLayer(DataMatrix exa) {
        super.initLayer(exa);

        this.head();
        while (this.hasNode()) {
            ((GNGRBFCell)this.getUnitDoNext()).calcGaussian();
        }
    }

    private int nOutputs;
    private Random rand;
}
