package layers;
/*
 * FloatingLayer.java
 *
 * Created on 1. mai 2006, 16:41
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

import neurons.FloatingUnit;


/**
 *
 * @author Hector
 */
public class FloatingLayer extends HiddenLayer {
    
    /**
     * Creates a new instance of FloatingLayer.
     *
     * @param   n   the floating neuron in this layer
     */
    public FloatingLayer(FloatingUnit n) {
        this.append(n);
    }
    
    /**
     * Returns a copy of the object.
     */
    public FloatingLayer clone() {
//        System.out.println("Clonning FloatingLayer");
        return (FloatingLayer) super.clone();
    }

    public void updateWeightsDeltaRuleOnline(float eta, float mu, float wd) {
    }

    public void updateWeightsDeltaRuleBatch(float eta, float mu, float wd) {
    }

    public void updateWeightsQuickprop(float eta, float mu) {
    }
}
