/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package visualFNNXPlotter;

import java.awt.Graphics;
import javax.swing.JProgressBar;

/**
 *
 * @author hsatizab
 */
public class FNNXPlotterProgressBar extends JProgressBar {

    public FNNXPlotterProgressBar(PlotFrame f) {
        frame = f;
        ignorePaint = false;
    }


    public void paint(Graphics g) {
        if (ignorePaint) {
            return;
        }
        
//        if (this.isIndeterminate()) {
//            super.paint(g);
//        }
//        else {
            frame.lock("paint - progressBar");
            super.paint(g);
            frame.unlock("paint - progressBar");
//        }
    }

    public void setIgnoreRepaint(boolean ir) {
        super.setIgnoreRepaint(ir);
        ignorePaint = ir;
    }

    private PlotFrame frame;
    private boolean ignorePaint;
}
