/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tools;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author hector
 */
public class FileExtensionFilter extends FileFilter {

    public FileExtensionFilter(String desc, String ext) {
        description = desc;
        extension = "." + ext;
    }

    public boolean accept(File file) {
        if (file.isDirectory()) {
            return true;
        }

        if (file.getName().endsWith(extension)) {
            return true;
        }
        else {
            return false;
        }

    }

    public String getDescription() {
        return description;
    }

    private String description;
    private String extension;
}
