 /*
 * NeuralNetwork.java
 *
 * Created on 25 de diciembre de 2008, 2:23 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package model;

import data.DataBlock;
import java.io.Serializable;
import plugin.FNNXObject;

/**
 *
 * @author Hector
 */
public interface FNNXModel extends FNNXObject, Serializable, Cloneable {

    public void initModel();

    public int inventory();

    public boolean setDataset(DataBlock data);

    public void initDatasetSequential();

    public boolean hasNextExampleSequential();

    public void nextExampleSequential();

    public void nextExampleRandom();

    public void setInput(int i, float value);

    public void addToError(float e);

    public void resetAccError();

    public float getError();

    public float getAccError();

    public int getObsCounter();

    public void takeExampleFrom(int i, DataBlock data);

    public float calcModelError();

    public void reset();

}
