/*
 * AbstractCompetitionNetwork.java
 *
 * Created on 24 de septiembre de 2007, 11:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package model.localRepresentation;


import model.AbstractFNNXUnsupervisedModel;
import model.FNNXModel;


/**
 *
 * @author usuario1
 */
public abstract class AbstractFNNXCellNetwork extends AbstractFNNXUnsupervisedModel implements FNNXModel {
    
    public void firstCell() {
        cells.head();
    }
    
    public boolean hasCell() {
        return cells.hasNode();
    }
    
    public AbstractFNNXCell getCellDoNext() {
        return (AbstractFNNXCell) cells.getDoNext();
    }
    
    public AbstractFNNXCell getCurrentCell() {
        return (AbstractFNNXCell) cells.getCurrent();
    }

    public void nextCell() {
        cells.next();
    }

    public void deleteCurrentCellDoNext() {
        cells.deleteCurrentDoNext();
    }
    
    public int getNumberOfCells() {
        return cells.size();
    }
    
    public int getAmountOfInputs() {
        return cells.getAmountOfInputs();
    }
    
//    public AbstractFNNXCompetitionCell getNearestCell() {
//        double dist;
//        double minDist = Double.MAX_VALUE;
//        AbstractFNNXCompetitionCell tempCell;
//        AbstractFNNXCompetitionCell minCell = null;
//
//        this.firstCell();
//        while (this.hasCell()) {
//            tempCell = this.getCellDoNext();
//            dist = tempCell.calcDistanceTo(currentInput);
//            if (dist < minDist) {
//                minDist = dist;
//                minCell = tempCell;
//            }
//        }
//
//        return minCell;
//    }

    public int inventory() {
        int i = 0;
        this.firstCell();
        while (this.hasCell()) {
            this.getCellDoNext().setNumber(i);
            i++;
        }
        return i;
    }

    protected AbstractFNNXCellLayer cells;

}
