/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package scripting;

import java.io.Serializable;

/**
 *
 * @author hector
 */
public class InterThreadBuffer implements Serializable {
    
    /** Creates a new instance of InterThreadBuffer
     *
     * @see scripting#InterThreadMonitor
     */
    public InterThreadBuffer(int n) {
        data = new float[n];
        parameter = 0;
        command = Names.interThreadCommands.doNothing;
    }
    
    public void newData(float[] d, int i) {
        command = Names.interThreadCommands.newData;
        parameter = i;
        data = d;
    }

    public void lastData(float[] d, int i) {
        command = Names.interThreadCommands.lastData;
        parameter = i;
        data = d;
    }

    public float[] getData() {
        return data;
    }
    
    public void copyFrom(InterThreadBuffer toCopy) {
        this.command = Names.interThreadCommands.valueOf(toCopy.command.toString());
        this.parameter = toCopy.parameter;
        System.arraycopy(toCopy.data, 0, this.data, 0, toCopy.data.length);
    }

    public void setEmpty() {
        command = Names.interThreadCommands.doNothing;
    }
    
    public void setCommand(Names.interThreadCommands com, int p) {
        command = com;
        parameter = p;
    }

    public Names.interThreadCommands getCommand() {
        return command;
    }

    public int getParameter() {
        return parameter;
    }
    
    private float[] data;
    private Names.interThreadCommands command;
    private int parameter;
}
