/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tools;

import java.util.Hashtable;

/**
 *
 * @author hsatizab
 */
public class MyClassLoader extends ClassLoader {

    public MyClassLoader(Hashtable<String, Class> p) {
        super();
        plugins = p;
    }

    public Class<?> loadClass(String name) throws ClassNotFoundException {
        Object temp;
        temp = plugins.get(name);
        if (temp == null) {
//            System.out.println(name + "... failed");
            return super.loadClass(name);
        }
        if (!(temp instanceof Class)) {
            return super.loadClass(name);
        }
//        System.out.println(name + "... OK");
        return (Class)temp;
    }

    private Hashtable<String, Class> plugins;
}
