/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tools;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectStreamClass;

/**
 *
 * @author hsatizab
 */
public class MyObjectInputStream extends ObjectInputStream {

    public MyObjectInputStream(InputStream in, ClassLoader cl) throws IOException {
        super(in);
        loader = cl;
    }

    protected Class<?> resolveClass(ObjectStreamClass desc) throws IOException, ClassNotFoundException {
    	String name = desc.getName();
    	try {
//            System.out.println(name);
    	    return Class.forName(name, false, loader);
    	}
        catch (ClassNotFoundException ex) {
            return super.resolveClass(desc);
    	}
    }

    private ClassLoader loader;

}
