/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cellGNGMap;

import model.localRepresentation.AbstractFNNXCell;

/**
 *
 * @author hsatizab
 */
public class GNGMapLink {

    public GNGMapLink(AbstractFNNXCell f, AbstractFNNXCell t, int w) {
        from = f;
        to = t;
        weight = w;
    }

    public AbstractFNNXCell getFrom() {
        return from;
    }

    public AbstractFNNXCell getTo() {
        return to;
    }

    public int getWeight() {
        return weight;
    }

    public void setWeight(int w) {
        weight = w;
    }

    public void incWeight(int inc, int max) {
        weight += inc;
        if (weight >= max) {
            weight = max;
        }
    }

//    public void multiplyLinkWeightBy(float wd) {
//        weight *= wd;
//    }

    public void decreaseWeight() {
        weight--;
    }

    public void decreaseWeight(int d) {
        weight -= d;
    }

    private AbstractFNNXCell from;
    private AbstractFNNXCell to;
    private int weight;

}
