/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package layerGNG;

import cellGNG.AbstractGNGCell;
import data.DataMatrix;
import java.util.Random;
import model.localRepresentation.AbstractFNNXCell;
import model.localRepresentation.AbstractFNNXCellLayer;

/**
 *
 * @author hsatizab
 */
public abstract class AbstractFNNXGNGLayer extends AbstractFNNXCellLayer {

    /**
     * Initializes the layer with two units.
     *
     * @param   exa   the object containing the examples
     */
    public void initLayer(DataMatrix exa) {
        Random gen = new Random();

        this.clear();
//        GNGCell cell_1 = new GNGCell(nInputs);
//        GNGCell cell_2 = new GNGCell(nInputs);
        AbstractFNNXCell cell_1 = this.buildCell();
        AbstractFNNXCell cell_2 = this.buildCell();

        cell_1.initNeuron(exa.getRow(gen.nextInt(exa.getNRows())));
        cell_2.initNeuron(exa.getRow(gen.nextInt(exa.getNRows())));

        ((AbstractGNGCell)cell_1).connectTo((AbstractGNGCell)cell_2);
        this.append(cell_1);
        this.append(cell_2);

//        this.head();
//        while (this.hasNode()){
//            this.getUnitDoNext().initNeuron(exa.getRow(gen.nextInt(exa.getNRows())));
//        }
    }
}
