/*
 * LinearActivationFunction.java
 *
 * Created on 20. juin 2006, 21:43
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package functions;

//import scripting.Names;

import model.distributedRepresentation.AbstractActivationFunction;



/**
 *
 * @author Hector
 */
public class LinearActivationFunction extends AbstractActivationFunction {
    
    /**
     * Creates a new instance of LinearActivationFunction
     */
    public LinearActivationFunction() {
    }

    /**
     * Returns a copy of the object.
     */
    public LinearActivationFunction clone() {
        return (LinearActivationFunction) super.clone();
    }
    
    /**
     * Applies the activation function and returns the resulting value.
     *
     * @param   in  input value
     * @return  the resulting value after appplying the activation function
     */
    public float apply(float in) {
        return in;
    }
    
    /**
     * Calculates the first derivative and returns the resulting value
     *
     * @param   out  output value to calculate the first derivative
     * @return  the resulting value
     */
    public float firstDeriv(float out) {
        return 1;
    }
}
