/*
 * BiasUnit.java
 *
 * Created on 16. mai 2006, 10:54
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package neurons;

import model.distributedRepresentation.AbstractPerceptronBase;

/**
 *
 * @author Hector
 */
public class BiasUnit extends AbstractPerceptron {
    
    /**
     * Creates a new instance of BiasUnit
     */
    public BiasUnit() {
        neta = 0;
        output = 1;
        d_output = 1;
        receiveConnections = false;
    }
    
    /**
     * Do nothing.
     */
    public void calcOutput() {
        //output = 1.0;             //There is nothing to do.  The output is always 1.0
    }
    
    /**
     * Do nothing.
     */
    public void calcNeta() {
        //neta = 0.0;             //There is nothing to do.  The neta is always 0.0
    }
    
    /**
     * Returns 0.
     *
     * @return 0
     */
    public double calcSensitivity(AbstractPerceptronBase n) {
        return 0.0;
    }

    /**
     * Does nothing.
     */
    public void updateWeightsDeltaRuleOnline(double eta, double mu, double wd) {    //do nothing
    }                                                                               //there are no backward connections to change

    /**
     * Does nothing.
     */
    public void updateWeightsDeltaRuleBatch(double eta, double mu, double wd) {    //do nothing
    }                                                                               //there are no backward connections to change

    /**
     * Does nothing.
     */
    public void updateWeightsQuickprop(double eta, double mu) {                     //do nothing
    }                                                                               //there are no backward connections to change

    /**
     * Does nothing.
     */
    public void addToWeightIncrements() {                                           //do nothing
    }                                                                               //there are no backward connections to change

    public void reset() {
        output = 1;
    }
}
