/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package networks;

import data.MyLinkedList;
import java.io.Serializable;
import layers.RBMLayer;

/**
 *
 * @author hsatizab
 */
public class RBMLayerList extends MyLinkedList implements Cloneable, Serializable {
    
    /** Creates a new instance of RBMLayerList */
    public RBMLayerList() {
    }

    public RBMLayerList clone() {
        RBMLayerList tempc = new RBMLayerList();
        
        this.head();
        while (this.hasNode()) {
            tempc.append(((RBMLayer)this.getDoNext()).clone());
        }
        return tempc;
    }
    
    public void appendLayer(int n, boolean v) {
        this.tail();
        this.append(new RBMLayer(n, v));
    }

    public void appendLayer(RBMLayer h) {
        this.tail();
        this.append(h);
    }

    public boolean isCurrentVisible() {
        return ((RBMLayer)this.getCurrent()).isVisible();
    }
}
