/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package neurons;

import model.distributedRepresentation.AbstractPerceptronBase;

/**
 *
 * @author hsatizab
 */
public class BiasRBMNeuron extends AbstractRBMNeuron {
    
    /**
     * Creates a new instance of BiasRBMNeuron
     */    
    public BiasRBMNeuron() {
        activation = 1;
        output = 1;
        neta = 0;
    }
    
    /**
     * Do nothing.
     */
    public void calcOutput() {
        //activation = 1;
        //output = 1;             //There is nothing to do.  The output is always 1.0
    }
    
    public void calcOutput(boolean fantasy) {
        //activation = 1;
        //output = 1;             //There is nothing to do.  The output is always 1.0
    }
    
    public void calcNeta() {
        
    }
    
    public void calcNeta(boolean fantasy) {
        
    }
    
    public void resetOutput() {
        output = 1;
    }
    
    public float calcError() {
        return 0;
    }
    
    public boolean isBias() {
        return true;
    }
    
    /**
     * Connects this unit with the given unit.
     *
     * @param   an  the unit to connect with
     * @param   w   the new value of the connection
     */
    public void connectForward(AbstractPerceptronBase an, float w) {
        if (((AbstractRBMNeuron)an).isBias()) {
            return;
        }
        else {
            super.connectForward(an, w);
        }
    }

    /**
     * Connects this unit with the given unit.
     *
     * @param   an  the unit to connect with
     */
    public void connectForward(AbstractPerceptronBase an) {
        if (((AbstractRBMNeuron)an).isBias()) {
            return;
        }
        else {
            System.out.println("Connecting bias unit");
            super.connectForward(an);
        }
    }

    /**
     * Connects this unit with the given unit.
     *
     * @param   an  the unit to connect with
     * @param   w   the new value of the connection
     */
    public void connectBackward(AbstractPerceptronBase an, float w) {
        if (((AbstractRBMNeuron)an).isBias()) {
            return;
        }
        else {
            super.connectBackward(an, w);
        }
    }

    /**
     * Connects this unit with the given unit.
     *
     * @param   an  the unit to connect with
     */
    public void connectBackward(AbstractPerceptronBase an) {
        if (((AbstractRBMNeuron)an).isBias()) {
            return;
        }
        else {
            super.connectBackward(an);
        }
    }
}
